PATCH: gengtype-lex.l warning

Kaveh R. GHAZI ghazi@caip.rutgers.edu
Tue Jan 6 07:12:00 GMT 2009


On Mon, 5 Jan 2009, Ben Elliston wrote:

> For various versions of flex that I tested, gengtype-lex.l produces a
> gengtype-lex.c that contains a static input() function.  This function
> is never called, leading to a warning when building the tools in the
> gcc/build/ directory:
>
>     gengtype-lex.c:1908: .... defined but not used
>
> This can be suppressed by defining YY_NO_INPUT in the C preamble section
> of the flex file.  This should not cause any problems for earlier
> versions that do not conditionally compile the input function based on
> the value of YY_NO_INPUT (this is only hypothetical; all the versions of
> flex, new and old, that I tried all support this).
>
> Okay for the trunk?
> Ben

Are we at or close to being able to remove the -Wno-error from
gengtype-lex.o ?

		Thanks,
		--Kaveh
--
Kaveh R. Ghazi			ghazi@caip.rutgers.edu



More information about the Gcc-patches mailing list